Install mc on PfSense with error



  • Good afternoon.

    During mc installation, the following message:

    2.4.4-RELEASE-p3 (amd64)
    built on Wed May 15 18:53:44 EDT 2019
    FreeBSD 11.2-RELEASE-p10

    pkg add http://pkg.freebsd.org/ FreeBSD:11:amd64/latest/All/mc-4.8.24.txz

    Fetching mc-4.8.24.txz: 100% 2 MiB 888.9kB/s 00:02
    Installing mc-4.8.24...
    Newer FreeBSD version for package mc:
    To ignore this error set IGNORE_OSVERSION=yes

    package: 1103000
    running kernel: 1102000
    Allow missmatch now?[Y/n]:
    

    And before this was not. On another server. Do not install from there?
    What do you advise?


  • Rebel Alliance Developer Netgate

    We advise to not install packages like that on a firewall.


  • Rebel Alliance Developer Netgate

    To add to that: Midnight Commander is perfectly capable of running on your local client and browsing the firewall filesystem over SSH/SCP (F9, l (L), SFTP Link, use sftp://root@<firewall ip addr>). There is no need to install it on the firewall and run the risk of breaking your firewall's package database by mixing pfSense and FreeBSD packages.



  • Big fan of WinSCP here, for file moving and editing from a client. Just enable SSH on FW.


Log in to reply